Skip to content

Get all rights

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get all rights and interests of the current user pool

Method name

ManagementClient.getAllRightsItem

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getAllRightsItem();

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CostGetAllRightItemRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a RightItemResResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "rightsItems": {
      "rightsModelCode": "SocialConnections",
      "rightsModelName": "SocialConnections",
      "dataType": "1: Quantity type, 2: Digital read-only, no measurement, 3: Assertion type, 4: String read-only",
      "dataValue": "0"
    }
  }
}

Data structure

RightItemRes

NameTypeIs it requiredDescriptionSample value
rightsItemsarrayYesResponse data Nested type: <a RightItemDto.

RightItemDto

NameTypeIs it required?DescriptionSample value
rightsModelCodestringYesRights codeSocialConnections
rightsModelNamestringYesRights nameSocialConnections
dataTypestringYesEquity data type1: quantity type, 2: digital read-only, no measurement, 3: assertion type, 4: string read-only
dataValuestringYesEquity value0

Agent infrastructure for identity, memory, and web action.